Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
dln.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | _(args) ()
#define | DLN_FIND_EXTRA_ARG
#define | DLN_FIND_EXTRA_ARG_DECL

## Functions
char * | dln_find_exe_r (const char *, const char *, char *, size_t DLN_FIND_EXTRA_ARG_DECL)
char * | dln_find_file_r (const char *, const char *, char *, size_t DLN_FIND_EXTRA_ARG_DECL)
void * | dln_load (const char *)

## Macro Definition Documentation

#define _ | ( |  | args | ) | ()

Definition at line 28 of file dln.h.

Referenced by decode_enum(), decode_int(), decode_time(), ossl_buf2str(), ossl_client_cert_cb(), ossl_dsa_to_der(), ossl_pkcs12_initialize(), ossl_protect_membio2str(), ossl_protect_obj2bio(), ossl_rsa_to_der(), ossl_sslctx_session_get_cb(), ossl_sslctx_session_new_cb(), ossl_sslctx_session_remove_cb(), and ossl_tmp_dh_callback().

#define DLN_FIND_EXTRA_ARG

Definition at line 34 of file dln.h.

Referenced by dln_find_exe_r(), and dln_find_file_r().

#define DLN_FIND_EXTRA_ARG_DECL

Definition at line 37 of file dln.h.

## Function Documentation

char* dln_find_exe_r | ( | const char * | ,
|  | const char * | ,
|  | char * | ,
|  | size_t | DLN_FIND_EXTRA_ARG_DECL
| ) |  |

char* dln_find_file_r | ( | const char * | ,
|  | const char * | ,
|  | char * | ,
|  | size_t | DLN_FIND_EXTRA_ARG_DECL
| ) |  |

void* dln_load | ( | const char * |  | ) |

Definition at line 1249 of file dln.c.

References buf, DLN_ERROR, dln_load(), dln_loaderror(), dln_memerror, dln_notimplement, dln_strerror(), errno, free, init_funcname, MAXPATHLEN, NULL, rb_loaderror(), rb_w32_mbstr_to_wstr(), strdup, strerror(), strlcat(), strlcpy(), translit_separator, and UNREACHABLE.

Referenced by dln_load(), and load_ext().